Package Details: openvsp-git 20150503-1

Git Clone URL: https://aur.archlinux.org/openvsp-git.git (read-only)
Package Base: openvsp-git
Description: OpenVSP allows the user to create a 3D model of an aircraft defined by common engineering parameters.
Upstream URL: http://www.openvsp.org
Licenses: NASA OPEN SOURCE AGREEMENT VERSION 1.3
Submitter: maxdevaine
Maintainer: maxdevaine
Last Packager: maxdevaine
Votes: 3
Popularity: 0.222080
First Submitted: 2012-01-16 23:50
Last Updated: 2015-06-15 22:57

Required by (0)

Sources (1)

Latest Comments

batticiof commented on 2015-09-12 22:17

Hi,
I have a problem with this package.
At some point during the installation I have the following error.

error: ‘phiss’ was not declared in this scope
assert( phiss.size() == 5 );

Any idea how to solve it?

Thanks a lot

batticiof commented on 2015-09-12 22:17

Hi,
I have a problem with this package.
At some point during the installation I have the following error.

error: ‘phiss’ was not declared in this scope
assert( phiss.size() == 5 );

Any idea how to solve it?

Thanks a lot

Andrea

maxdevaine commented on 2013-09-24 16:58

Hi,
solved. You can try again.

Thanks

CAVT commented on 2013-09-23 19:58

Hi. The latest package seems to build perfectly, but then during the final install step I get the following error:

Linking CXX executable vsp
[100%] Built target vsp
install: failed to access «/tmp/yaourt-tmp-unc/aur-openvsp-git/pkg/openvsp-git/usr/bin/vsp»: Access denied

I'm using Yaourt as you can see, however this is the only package I'm troubling with. I checked the PKGBUILD but I cannot distinguish any error. Can someone be so kind to hint a solution? Thanks in advance.

maxdevaine commented on 2013-02-09 15:36

Compilation give my this error :

#################################
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:97 (message):
Did not find automoc4 (Automoc4Config.cmake, install
git://anongit.kde.org/automoc). (missing: AUTOMOC4_EXECUTABLE)
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:291 (_FPHSA_FAILURE_MESSAGE)
/usr/share/apps/cmake/modules/FindAutomoc4.cmake:49 (find_package_handle_standard_args)
/usr/share/apps/cmake/modules/FindKDE4Internal.cmake:423 (find_package)
/usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (find_package)
src/CMakeLists.txt:6 (find_package)
#################################

This is solution :
https://bbs.archlinux.org/viewtopic.php?id=145612

So, add this to PKGBUILD :
-DAutomoc4_DIR=/usr/lib/automoc4



Next error is this :
#################################
[ 87%] Building CXX object src/tests/CMakeFiles/certificategeneratortest.dir/certificategeneratortest_automoc.o
In file included from /var/abs/local/kminidlna/src/build/src/tests/moc_certificategeneratortest.cpp:10:0,
from /var/abs/local/kminidlna/src/build/src/tests/certificategeneratortest_automoc.cpp:4:
/var/abs/local/kminidlna/src/build/src/tests/../../../kminidlna/src/tests/certificategeneratortest.h:25:30: fatal error: qt4/QtCore/QObject: No such file or directory
compilation terminated.
make[2]: *** [src/tests/CMakeFiles/certificategeneratortest.dir/certificategeneratortest_automoc.o] Error 1
make[1]: *** [src/tests/CMakeFiles/certificategeneratortest.dir/all] Error 2
make: *** [all] Error 2
#################################


In the file "kminidlna/src/tests/certificategeneratortest.h" is bad PATH to QtCore dir.

So, my solution is patch to correct path :


qtpatch.diff
#################################
--- certificategeneratortest.h 2012-05-19 11:51:07.000000000 +0200
+++ certificategeneratortest-patch.h 2013-02-09 16:20:58.000000000 +0100
@@ -22,7 +22,7 @@
#ifndef CERTIFICATEGENERATORTEST_H
#define CERTIFICATEGENERATORTEST_H

-#include <qt4/QtCore/QObject>
+#include <QtCore/QObject>
#include <QString>
#################################



My PKGBUILD is:

#################################
pkgname=kminidlna
pkgver=1.0
pkgrel=2
pkgdesc="kde frontend for MiniDLNA http://minidlna.sourceforge.net/with REST remote control"
arch=('i686' 'x86_64')
url="https://sourceforge.net/projects/kminidlna/"
license=('GPL')
depends=('kdebase-runtime')
makedepends=('cmake' 'gettext' 'openssl' 'automoc4')
options=('!libtool')
source=(https://sourceforge.net/projects/kminidlna/files/${pkgname}_${pkgver}.tar.gz 'qtpatch.diff')
sha1sums=('53682d50ce3a46f3ac1f2de3307e91cb5acfd030'
'f7ba50d723ff1c6d71637a939b50d3a14b62951e')
_buildir=$srcdir/build

build() {
cd "${srcdir}"
if [ -d "$_buildir" ]; then
msg 'Cleaning previous build...'
rm -rf "$_buildir"
fi

cd ${pkgname}/src/tests/
patch certificategeneratortest.h < ../../../../qtpatch.diff
cd ${srcdir}
mkdir build
cd build
cmake "../${pkgname}" -DCMAKE_INSTALL_PREFIX=/usr -DAutomoc4_DIR=/usr/lib/automoc4 \

sed -i '49s|"c"|"c;/usr/lib/libcrypto.so.1.0.0"|g' $srcdir/build/CMakeFiles/2.8.10.2/CMakeCCompiler.cmake
make
}

package() {
cd "${srcdir}/build"
make DESTDIR="${pkgdir}" install
}
#################################

maxdevaine commented on 2012-09-07 05:50

Hello CAVT,
im update the package, now working ok.
Thanks for tip to solution.
Max Devaine

CAVT commented on 2012-09-02 08:30

Ok, I found the fix, just do what's written here:
http://news2.mcneel.com/scripts/dnewsweb.exe?cmd=article&group=opennurbs&item=2656&utag=

CAVT commented on 2012-07-31 23:11

Hi, I'm using an up to date Arch64 system with LXDE+OBox. I'm trying to compile this package, but it always fails in opennurbs:

...

opennurbs_brep_tools.cpp:2115:7: aviso: se define la variable ‘coord1_lock’ pero no se usa [-Wunused-but-set-variable]
In file included from opennurbs_array.h:1762:0,
from opennurbs.h:50,
from opennurbs_brep_tools.cpp:16:
opennurbs_array_defs.h: En la instanciación de ‘bool ON_SimpleArray<T>::QuickSort(int (*)(const T*, const T*)) [with T = int [2]]’:
opennurbs_brep_tools.cpp:2788:22: se requiere desde aquí
opennurbs_array_defs.h:667:7: error: ‘ON_qsort’ no se declaró en este ámbito, y no se encontraron declaraciones en la búsqueda dependiente de argumentos en el punto de la instanciación [-fpermissive]
g++ -g -Wall -D_GNU_SOURCE -I. -c opennurbs_circle.cpp -o opennurbs_circle.o
In file included from opennurbs.h:69:0,
from opennurbs_brep_tools.cpp:16:
opennurbs_math.h:1525:6: nota: ‘void ON_qsort(void*, size_t, size_t, int (*)(void*, const void*, const void*), void*)’ se declaró aquí, después en la unidad de translación
In file included from opennurbs_array.h:1762:0,
from opennurbs.h:50,
from opennurbs_circle.cpp:17:
opennurbs_array_defs.h:1462:7: aviso: elementos extra al final de la directiva #endif [activado por defecto]
opennurbs_array_defs.h:1479:7: aviso: elementos extra al final de la directiva #endif [activado por defecto]
make: *** [opennurbs_brep_tools.o] Error 1
make: *** Se espera a que terminen otras tareas....

...

I simply have no idea what can be causing this, I'm by no means a C/C++ programmer. Googling wasn't helpful either.
Thanks in advance.

roadtang commented on 2012-05-10 15:31

Build error on x86_64 platform.

---- Log ----------
==> Validating source files with md5sums...
opennurbs_20111122.zip ... Passed
makefile.patch ... Passed
==> Extracting Sources...
-> Extracting opennurbs_20111122.zip with bsdtar
==> Removing existing pkg/ directory...
==> Entering fakeroot environment...
==> Starting build()...
==> Connecting to GIT server....
Already up-to-date.
==> The local files are updated.
==> GIT checkout done or server timeout
==> Starting make...
==> Make opennurbs...
unzip: cannot find or open ../../../opennurbs*.zip, ../../../opennurbs*.zip.zip or ../../../opennurbs*.zip.ZIP.

No zipfiles found.
==> ERROR: A failure occurred in build().
Aborting...

maxdevaine commented on 2012-01-29 09:02

Thanks,
I know, but it is my mistake.
Solved.
Max Devaine

falconindy commented on 2012-01-29 01:19

Please do not host source files on the AUR.